c
c ------------------------------------------------------------
c
      subroutine an1step(maxmx,mbc,mx,meqn,maux,
     &           xlower,dx,t,dt,q,qold,aux,auxold,
     &           s,qrk1,work,mwork,mthlim,mwaves,mthbc)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension qold(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension auxold(1-mbc:maxmx+mbc,maux)
      dimension qrk1(1-mbc:maxmx+mbc,meqn)
      dimension s(1-mbc:maxmx+mbc,mwaves)
      dimension work(mwork)
      dimension mthlim(mwaves)    
      dimension mthbc(2)    
c
c     # Homogeneous relaxation model with phase transition
c
c     # pressure relaxation 
      call p_relax(maxmx,mbc,mx,meqn,maux,
     &     q,qold,aux,auxold,dt)
c
      call copyq1(maxmx,meqn,mbc,mx,q,qold)
c
c     # thermal relaxation
      call pT_relax(maxmx,mbc,mx,meqn,maux,
     &     q,qold,aux,auxold,dt)
c
c      call copyq1(maxmx,meqn,mbc,mx,q,qold)
c
c     # chemical-potential relaxation
      call pTg_relax(maxmx,mbc,mx,meqn,maux,
     &     q,qold,aux,auxold,dt)
      return
c
      end
