c
c ------------------------------------------------------------
c
      double precision function gibbs_pT_mg0(p0,temp0,k)
      implicit double precision (a-h,o-z)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
c
c     # compute Gibbs free energy as function of pressure
c     # and temperature
c     # linearized Mie-Gruneisen EOS
c
      cp0 = geos(k)*cv(k)
c
      h0 = cp0*temp0+cn(k)
      S0 = cp0*dlog(temp0)-
     &     (cp0-cv(k))*dlog(p0+bn(k))+dn(k)
c
      gibbs_pT_mg0 = h0-temp0*S0
      return
c
      end
