c
c ------------------------------------------------------------
c
      subroutine pT_relax(maxmx,mbc,mx,meqn,maux,
     &           q,qold,aux,auxold,dt)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension qold(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension auxold(1-mbc:maxmx+mbc,maux)
      dimension qpT_relax(20),qloc(20)
c
c     # 6-equation model with phasic total energy
c     # isobaric-isothermal equilibrium
c
      do i=1,mx
         do m=1,meqn
            qloc(m) = q(i,m)
            enddo
c
         call pT_solver(qpT_relax,qloc,meqn,dt,iflag)
c
         if (iflag .eq. 1) then
c            # admissible state
c
             do m=1,meqn
                q(i,m) = qpT_relax(m)
                enddo
         else
c            # non-admissible state
c
c             call a4pT_solver()
c
             write(66,*) 'pT_relax: non-admissible'
             write(66,*) 'qloc=',(qloc(m),m=1,meqn)
             write(66,*) 'qpT_relax=',(qpT_relax(m),m=1,meqn)
             stop
         endif
         enddo          
      return
c
      end
