c
c ------------------------------------------------------------
c
      program driver
      implicit double precision (a-h,o-z)
      parameter(maxmx = 5000)
      parameter(mwork = 1106326)   
      parameter(mrkwork = 40048) 
      parameter(mbc = 3)
      parameter(meqn = 8)
      parameter(mwaves = 3)
      parameter(maux = 4)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension work(mwork)
      dimension rkwork(mrkwork)
      dimension mthlim(mwaves)
      real*4 cpusec,cputm(2)
c
      call cpu_time(cpustart)
c
      call tclaw1ez(maxmx,meqn,mwaves,mbc,maux,mwork,mthlim,
     &     q,aux,work,mrkwork,rkwork)
c
      call cpu_time(cpuend)
c
      cpusec = cpuend-cpustart
c
      write(10,*)
     &    'Program has been running for', cpusec, 'seconds.'
      stop 
c
      end
