c
c -----------------------------------------------------------------
c
      subroutine setprob
      implicit double precision (a-h,o-z)
      common /loops/ xloop(10),yloop(10),zloop(10),rloop(10),
     &        axloop(10),bxloop(10),inbloop(2,2,10)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      common /mmeshpar/ amesh(3),bmesh(3),eh0,
     &        mmesh_stop,mmesh_filter,mflag,mpflag(20)
      common /phypar/ den0,velx0,vely0,velz0,pr0
      common /sharpen0/ dcfl,apow,a0norm,sncoef,epskh,imoll,idelvof,
     &        ikappa,icsf,ivofems,kheps,iker,ntimes,imslp,
     &        kdstop
      common /thinc0/ thinc_beta,thinc_eta,gp1,gp2,vofmin
      common /pt0/ dzf,zfmin,vofeps,tolm,tempeps
      common /Temp_cr/ temp_crmin,temp_crmax
      common /admissible_data0/ Yeps,zfeps
      common /compi/ pi
      common /quad_gauss0/ tt(300),ww(300),ngauss
c
      pi = 4.d0*datan(1.d0)
c
      open(unit=7,file='setprob.data',status='old',form='formatted')
c
      read(7,*) nlayer
      read(7,*) (geos(i),i=1,nlayer)
      read(7,*) (an(i),i=1,nlayer)
      read(7,*) (bn(i),i=1,nlayer)
      read(7,*) (cn(i),i=1,nlayer)
      read(7,*) (dn(i),i=1,nlayer)
      read(7,*) (en(i),i=1,nlayer)
      read(7,*) (cv(i),i=1,nlayer)
      read(7,*) (rref(i),i=1,nlayer)
      read(7,*) (c2ref(i),i=1,nlayer)
      read(7,*) (tref(i),i=1,nlayer)
      read(7,*) (rhocav(i),i=1,nlayer)
      read(7,*) (rhosat(i),i=1,nlayer)      
      read(7,*) (pcav(i),i=1,nlayer)
      read(7,*) (psat(i),i=1,nlayer)      
      read(7,*) (zf(i),i=1,nlayer)
      read(7,*) (zv(i),i=1,nlayer)       
      read(7,*) den0,velx0,pr0  
      read(7,*) xloop(1)          
      read(7,*) dzf
      read(7,*) zfmin
      read(7,*) vofeps
      read(7,*) tolm
      read(7,*) tempeps
      read(7,*) Yeps
      read(7,*) temp_crmin
      read(7,*) temp_crmax
c
      close(7)
c
c     # compute saturation temperature
      temp1 = 300.d0
      temp2 = 400.d0
      temp0 = 0.5d0*(temp1+temp2)
      temp_sat = satu_temp(pr0,temp0)
c
c     # thermal-equilibrium states
      grue1   = geos(1)-1.0d0
      grue2   = geos(2)-1.0d0
      rref(1) = (pr0+bn(1))/(grue1*cv(1)*tref(1))
      rref(2) = (pr0+bn(2))/(grue2*cv(2)*tref(2))
      rho0    = zf(1)*rref(1)+(1.d0-zf(1))*rref(2)
c
      write(66,*) 'tref=',tref(1),', temp_sat=',temp_sat
c
      h1  = geos(1)*cv(1)*tref(1)+cn(1)
      S1  = cv(1)*dlog(tref(1)**geos(1)/
     &      (pr0+bn(1))**grue1)+dn(1)
      gb1 = h1-tref(1)*S1
c
      h2  = geos(2)*cv(2)*tref(2)+cn(2)
      S2  = cv(2)*dlog(tref(2)**geos(2)/
     &      (pr0+bn(2))**grue2)+dn(2)
      gb2 = h2-tref(2)*S2
c
      write(66,*) 'p0=',pr0
      write(66,*) 'rref(1)=',rref(1),', rref(2)=',rref(2),
     &            ', rho0=',rho0
      write(66,*) 'gb1=',gb1,', gb2=',gb2
      return
c
 1001 format(i8)
 1002 format(2f16.9)
      end
