c
c --------------------------------------------------------------
c
      subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,
     &           q,maux,aux)
      implicit double precision (a-h,o-z)
      common /loops/ xloop(10),yloop(10),zloop(10),rloop(10),
     &        axloop(10),bxloop(10),inbloop(2,2,10)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      common /phypar/ den0,velx0,vely0,velz0,pr0,temp0
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension qL(20),qR(20)
c
c     # cavitation test
c     # Saurel etal, JFM 607 (2008), pp 313-350
c     # Zein etal, JCP 229 (2010), 2964-2998
c
c     # 2phase Riemann problem
c     # Saurel etal JFM 607 (2008) 313-350
c     # Zein etal JCP 229 (2010) 2964-2998
c
c     # vapor phase
      rho1 = rref(1)
      vx1  = velx0
      pr1  = 1.0d5
c
c     # liquid phase
      rho2 = rref(2)
      vx2  = velx0
      pr2  = pr0
c
      zf0_color1 = 1.d0
      zf0_color2 = 0.d0
c
      call prmtoc(qL,rho1,rho2,vx1,pr2,pr2,zf(1),zf(2)-zf(1),
     &     zf0_color1)
      call prmtoc(qR,rho1,rho2,vx2,pr1,pr1,zf(2)-zf(1),zf(1),
     &     zf0_color2)
c
      do i=1-mbc,mx+mbc
         xc = aux(i,2)
c
         if (xc .lt. xloop(1)) then
c            # high pressure dodecane liquid
c
             do m=1,meqn
                q(i,m) = qL(m)
                enddo
         else
c            # dodecane vapor 
c
             do m=1,meqn
                q(i,m) = qR(m)
                enddo
         endif
         enddo
      return
c
      end
