c
c ----------------------------------------------------------------
c
      subroutine q2qlqr(maxm,meqn,mbc,maux,mx,dt,dx,
     &           q1d,aux1d,ql,qr,auxl,auxr,qp,iflag)
      implicit double precision (a-h,o-z)
      dimension q1d(1-mbc:maxm+mbc,meqn)
      dimension aux1d(1-mbc:maxm+mbc,maux)
      dimension ql(1-mbc:maxm+mbc,meqn)
      dimension qr(1-mbc:maxm+mbc,meqn)
      dimension auxl(1-mbc:maxm+mbc,maux)
      dimension auxr(1-mbc:maxm+mbc,maux)
      dimension qp(1-mbc:maxm+mbc,meqn)
c
c     # piecewise-constant reconstruction
c
      do m=1,meqn
         do i=2-mbc,mx+mbc
            qr(i-1,m) = q1d(i-1,m)
            ql(i,m)   = q1d(i,m)
            enddo
         enddo
c
      do ma=1,maux
         do i=2-mbc,mx+mbc
            auxr(i-1,ma) = aux1d(i-1,ma)
            auxl(i,ma)   = aux1d(i,ma)
            enddo
         enddo
      return
c
      end
