c
c -------------------------------------------------------------------
c
      subroutine q2qlqr_interp2(maxm,meqn,mwaves,mbc,maux,mx,
     &           dt,dx,q,aux,ql,qr,auxl,auxr,s,wave,qp,dq,
     &           uu,hh,evl,evr,mthlim)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxm+mbc,meqn)
      dimension aux(1-mbc:maxm+mbc,maux)
      dimension ql(1-mbc:maxm+mbc,meqn)
      dimension qr(1-mbc:maxm+mbc,meqn)
      dimension auxl(1-mbc:maxm+mbc,maux)
      dimension auxr(1-mbc:maxm+mbc,maux)
      dimension wave(1-mbc:maxm+mbc,meqn,mwaves)
      dimension s(1-mbc:maxm+mbc,mwaves)
      dimension qp(1-mbc:maxm+mbc,meqn)
      dimension dq(1-mbc:maxm+mbc,meqn)
      dimension uu(1-mbc:maxm+mbc,meqn,2)
      dimension hh(1-mbc:maxm+mbc,-2:2)
      dimension evl(1-mbc:maxm+mbc,meqn,mwaves)
      dimension evr(1-mbc:maxm+mbc,meqn,mwaves)
      dimension mthlim(mwaves)
c
c     # piecewise constant reconstruction 
c
      do m=1,meqn
         do i=2-mbc,mx+mbc
            qr(i-1,m) = q(i-1,m)
            ql(i,m)   = q(i,m)
            enddo
         enddo
c
c     # piecewise-constant for auxiliary state
      do ma=1,maux
         do i=2-mbc,mx+mbc
            auxr(i-1,ma) = aux(i-1,ma)
            auxl(i,ma)   = aux(i,ma)
            enddo
         enddo
      return
c
      end
