c
c ------------------------------------------------------------------
c
      subroutine ts1_erk1(maxmx,meqn,mwaves,mbc,mx,q,qold,
     &           aux,auxold,ql,qr,auxl,auxr,xlower,dx,
     &           t,dt,method,mthlim,cflv,cfl,bc1,src1,maux,
     &           s,amdq,apdq,amdq2,apdq2,dtdx,wave,qrk1,
     &           qrp1,qrp2,rp1,tfluct1,mthbc,work,mwork)
      implicit double precision (a-h,o-z)
      external bc1,rp1,tfluct1,src1
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension qold(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension auxold(1-mbc:maxmx+mbc,maux)
      dimension ql(1-mbc:maxmx+mbc,meqn)
      dimension qr(1-mbc:maxmx+mbc,meqn)
      dimension auxl(1-mbc:maxmx+mbc,maux)
      dimension auxr(1-mbc:maxmx+mbc,maux)
      dimension s(1-mbc:maxmx+mbc,mwaves)
      dimension amdq(1-mbc:maxmx+mbc,meqn)
      dimension apdq(1-mbc:maxmx+mbc,meqn)
      dimension amdq2(1-mbc:maxmx+mbc,meqn)
      dimension apdq2(1-mbc:maxmx+mbc,meqn)
      dimension wave(1-mbc:maxmx+mbc,meqn,mwaves)
      dimension qrk1(1-mbc:maxmx+mbc,meqn)
      dimension qrp1(1-mbc:maxmx+mbc,meqn)
      dimension qrp2(1-mbc:maxmx+mbc,meqn)
      dimension dtdx(1-mbc:maxmx+mbc)
      dimension work(mwork)
      dimension mthlim(mwaves),method(10),cflv(4)
      dimension mthbc(2)
c
c     # Forward Euler time stepping (1 stage, 1st order)
c
c     # before step1
      call b4step1(maxmx,mbc,mx,meqn,maux,xlower,
     &     dx,t,dt,q,qold,aux,auxold,
     &     work,mwork,mthlim,mwaves,mthbc,cflv(2))
c
c     # store (dt)*L(q^n) = (dt)*d/dt(q^n(t^n) in qrk1
      call step1(maxmx,meqn,mwaves,mbc,maux,mx,q,qold,
     &     ql,qr,qrk1,aux,auxold,auxl,auxr,
     &     dx,t,dt,method,mthlim,cfl,
     &     s,amdq,apdq,amdq2,apdq2,dtdx,wave,qrp1,qrp2,
     &     mthbc,work,mwork)
c
c     # q^(1) = q^n+dt*L(q^n) => q
      do m=1,meqn
         do i=1,mx
            q(i,m)= q(i,m)+qrk1(i,m)
            enddo
         enddo
c
c     # after step1
      call a4step1(maxmx,mbc,mx,meqn,maux,
     &     xlower,dx,told,dt,q,qold,aux,auxold,
     &     qrk1,work,mwork,mthlim,mwaves,mthbc)
c
c     # end of step 1
      call an1step(maxmx,mbc,mx,meqn,maux,
     &     xlower,dx,t,dt,q,qold,aux,auxold,
     &     s,qrk1,work,mwork,mthlim,mwaves,mthbc)
      return
c
      end
