c
c ----------------------------------------------------------------
c
      subroutine estdt(maxmx,mbc,mx,meqn,maux,dx,dt,cfl,
     &           q,aux)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension qloc(20)
c
c     # set initial variable time step
c
      cmax  = 0.d0   
      dxmin = 1.0d20
c
      do i=1-mbc,mx+mbc
         do m=1,meqn
            qloc(m) = q(i,m)
            enddo
c      
         call ctomfd(qloc,rhoa0,rhob0,vx0,rhoh0,p0,
     &        pa0,pb0,temp0,zeta0,zfa0,zfb0,
     &        c2a0,c2b0,c20) 
c
         cmax = dmax1(cmax,dabs(vx0)+dsqrt(c20))
         dxmin = dmin1(dxmin,aux(i,1)*dx)
         enddo
c  
      if (cmax .ne. 0.d0) dt = cfl*dxmin/cmax
      return
c
      end
