c
c ------------------------------------------------------------
c
      integer function meta_stable(qloc,meqn)  
      implicit double precision (a-h,o-z)
      parameter(tolz=1.0d-9)
      parameter(error_flag=-12345678.d0)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      common /eos_local/ rhoe10,rhoe20,
     &        temp10,temp20,
     &        S10,S20,gb10,gb20,
     &        zeta10,zeta20
      common /pt0/ dzf,zfmin,vofeps,tolm,tempeps
      common /ftemp_satu0/ p0_satu
      common /fpres_satu0/ temp0_satu
      external ftemp_satu,dftemp_satu
c      external fpres_satu,dfpres_satu
      dimension qloc(20)
c
c     # test for meta-stable state for phase transition
c     # vporization case
c
      meta_stable = 0
c
      call ctomfd(qloc,rhoa0,rhob0,vx0,rhoh0,p0,
     &     pa0,pb0,temp0,zeta0,zfa0,zfb0,
     &     c2a0,c2b0,c20)
c
c     # interface test for fluid mixture
      if ((zfa0-vofeps)*(zfa0+vofeps-1.d0) 
     &    .gt. 0.d0) return
c
c     # compute saturation temperature
      p0_satu = p0
      Tsat0   = zero1d(temp0,ftemp_satu,dftemp_satu,tolz)
c
c      temp0_satu = temp0
c      psat0 = zero1d(p0,fpres_satu,dfpres_satu,tolz)
c
c      write(66,*) 'zfa0=',zfa0,',p0=',p0
c      write(66,*) 'Tsat0=',Tsat0,', temp0=',temp0
c
      if (Tsat0 .eq. error_flag) then 
c          write(6,*) 'error in msolver'
c          write(6,*) 'Tsat0=',Tsat0,', temp0=',temp0
c          write(6,*) 'zfa0=',zfa0
c          write(6,*) 'p0=',p0,', temp0=',temp0
          return      
      else
          if (temp0 .gt. Tsat0) then
              meta_stable = 1
c
c              write(66,*) 'zfa0=',zfa0
c              write(66,*) 'Tsat0=',Tsat0,', temp0=',temp0
c              write(66,*) 'psat0=',psat0,', p0=',p0
c              write(66,*) 'dp/dT=',(p0-psat0)/(temp0-Tsat0)
          endif
      endif
      return
c
      end
