c
c --------------------------------------------------------------
c
      subroutine prmtoc(q,rho1,rho2,vx,p1,p2,zfa0,zfb0,
     &           zf0_color)
      implicit double precision (a-h,o-z)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      dimension q(20)
c
c     # change primitive variables to conservative variables
c     # 6-equation model with partial total energy
c     # linearized Mie-Gruneisen EOS
c
      q(1) = zfa0*rho1
      q(2) = zfb0*rho2
      q(3) = (q(1)+q(2))*vx
c
      rhok1 = 0.5d0*rho1*vx**2
      rhok2 = 0.5d0*rho2*vx**2
      rhoe1 = (p1+geos(1)*bn(1))/(geos(1)-1.d0)+rho1*cn(1)
      rhoe2 = (p2+geos(2)*bn(2))/(geos(2)-1.d0)+rho2*cn(2)
      q(4)  = zfa0*(rhoe1+rhok1)
      q(5)  = zfb0*(rhoe2+rhok2)
      q(6)  = zfa0
      q(7)  = zfb0
      q(8)  = zf0_color
      return
c
      end
